Bug 480961 - perl-Filesys-Df & perl-Filesys-Statvfs-Df file conflict during 520 -> 530 upgrade
perl-Filesys-Df & perl-Filesys-Statvfs-Df file conflict during 520 -> 530 upg...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Upgrades (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Jeff Browning
:
Depends On:
Blocks: 456986
  Show dependency treegraph
 
Reported: 2009-01-21 10:19 EST by Milan Zazrivec
Modified: 2009-08-27 13:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-27 13:38:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Zazrivec 2009-01-21 10:19:35 EST
Description of problem:
* Satellite 5.2.0, upgrade to Satellite-5.3.0-RHEL5-re20090119.1:

file /usr/share/man/man3/Filesys::Df.3pm.gz from install of perl-Filesys-Df-0.92-4.el5 conflicts with file from package perl-Filesys-Statvfs-Df-0.72-9.el5

# rpm -qp --obsoletes perl-Filesys-Df-0.92-4.el5.i386.rpm 
(none)

Version-Release number of selected component (if applicable):
perl-Filesys-Df-0.92-4.el5 / Satellite-5.3.0-RHEL5-re20090119.1
Comment 1 Milan Zazrivec 2009-01-21 12:38:58 EST
Fixed in spacewalk.git master: 99ca751f6e325c8ebdc579cb958fadb7992013bf
Comment 2 Milan Zazrivec 2009-01-21 14:13:02 EST
Built:
perl-Filesys-Df-0.92-6.el4sat
perl-Filesys-Df-0.92-6.el5sat
Comment 3 Jeff Browning 2009-05-13 03:20:27 EDT
Verified
Comment 4 Michael Mráka 2009-08-26 05:47:23 EDT
Verified in stage -> RELEASE_PENDING.

Only perl-Filesys-Df  is installed and perl-Filesys-Statvfs-Df is removed by Obsoletes.

# rpm -q perl-Filesys-Df perl-Filesys-Statvfs-Df
perl-Filesys-Df-0.92-6.el4sat
package perl-Filesys-Statvfs-Df is not installed
# rpm -q --obsoletes perl-Filesys-Df
perl-Filesys-Statvfs-Df < 0.73
Comment 5 Brandon Perkins 2009-08-27 13:38:05 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1235.html

Note You need to log in before you can comment on or make changes to this bug.